Loading...
Searching...
No Matches
keep_m_in_n.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2012 Free Software Foundation, Inc.
*
* This file is part of GNU Radio
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_BLOCKS_KEEP_M_IN_N_H
#define INCLUDED_BLOCKS_KEEP_M_IN_N_H
#include <gnuradio/block.h>
#include <gnuradio/blocks/api.h>
namespace gr {
namespace blocks {
/*!
* \brief decimate a stream, keeping the first \p m items out of every \p n starting after
* \p offset items. \ingroup stream_operators_blk
*/
class BLOCKS_API keep_m_in_n : virtual public block
{
public:
// gr::blocks::keep_m_in_n::sptr
typedef std::shared_ptr<keep_m_in_n> sptr;
/*!
* Make a keep m in n block.
*
* \param itemsize stream itemsize
* \param m number of items to take in block of \p n items
* \param n block size in items
* \param offset initial item offset into the stream
*/
static sptr make(size_t itemsize, int m, int n, int offset);
virtual void set_m(int m) = 0;
virtual void set_n(int n) = 0;
virtual void set_offset(int offset) = 0;
};
} /* namespace blocks */
} /* namespace gr */
#endif /* INCLUDED_BLOCKS_KEEP_M_IN_N_H */
gr::block::block
block(void)
Definition gnuradio-runtime/include/gnuradio/block.h:806
gr::blocks::keep_m_in_n
decimate a stream, keeping the first m items out of every n starting after offset items.
Definition keep_m_in_n.h:25
gr::blocks::keep_m_in_n::set_offset
virtual void set_offset(int offset)=0
gr::blocks::keep_m_in_n::set_m
virtual void set_m(int m)=0
gr::blocks::keep_m_in_n::sptr
std::shared_ptr< keep_m_in_n > sptr
Definition keep_m_in_n.h:28
gr::blocks::keep_m_in_n::set_n
virtual void set_n(int n)=0
gr::blocks::keep_m_in_n::make
static sptr make(size_t itemsize, int m, int n, int offset)
block.h
api.h
BLOCKS_API
#define BLOCKS_API
Definition gr-blocks/include/gnuradio/blocks/api.h:18
gr::blocks
Definition abs_blk.h:20
gr
GNU Radio logging wrapper.
Definition basic_block.h:29